# Class HeaderUtil

java.lang.Object
org.apache.tomcat.util.http.HeaderUtil

public class HeaderUtil extends Object

## Method Summary

Modifier and Type
Method
Description
`static String`
`toPrintableString(byte[] bytes, int offset, int len)`
Converts an HTTP header line in byte form to a printable String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toPrintableString

public static String toPrintableString(byte[] bytes, int offset, int len)
Converts an HTTP header line in byte form to a printable String. Bytes corresponding to visible ASCII characters will converted to those characters. All other bytes (0x00 to 0x1F, 0x7F to OxFF) will be represented in 0xNN form.

Parameters:
  `bytes` - Contains an HTTP header line
  `offset` - The start position of the header line in the array
  `len` - The length of the HTTP header line
Returns:
  A String with non-printing characters replaced by the 0xNN equivalent